package localeExtractor

import (
	"git.ma-al.com/goc_daniel/b2b/app/model"
	constdata "git.ma-al.com/goc_daniel/b2b/app/utils/const_data"
	"github.com/gofiber/fiber/v3"
)

func GetLangID(c fiber.Ctx) (uint, bool) {
	user_locale, ok := c.Locals(constdata.USER_LOCALE).(*model.UserLocale)
	if !ok || user_locale.OriginalUser == nil {
		return 0, false
	}
	return user_locale.OriginalUser.LangID, true
}

func GetUserID(c fiber.Ctx) (uint, bool) {
	user_locale, ok := c.Locals(constdata.USER_LOCALE).(*model.UserLocale)
	if !ok || user_locale.User == nil {
		return 0, false
	}
	return user_locale.User.ID, true
}

func GetCustomer(c fiber.Ctx) (*model.Customer, bool) {
	user_locale, ok := c.Locals(constdata.USER_LOCALE).(*model.UserLocale)
	if !ok || user_locale.User == nil {
		return nil, false
	}
	return user_locale.User, true
}
